# This rpm is in the SVN
# $Id: darcs.spec 122076 2007-02-17 04:47:41Z nanardon $

%define name darcs
%define version 2.2.0
%define release %mkrel 1

%define withgit 1

%{?_without_git:%define withgit 0}
%{?_with_git:%define withgit 1}

Summary: David's Advanced Revision Control System
Name: %{name}
Version: %version
Release: %release
Source0: http://www.darcs.net/%{name}-%{version}.tar.gz
License: GPL
Group: Development/Other
Url: http://www.darcs.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ghc
BuildRequires: zlib-devel
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: latex2html tex4ht hevea
%if %withgit
BuildRequires: git-devel
%endif

%description
Darcs is a revision control system, along the lines of CVS
or arch. That means that it keeps track of various revisions
and branches of your project, allows for changes to
propogate from one branch to another. Darcs is intended to
be an ``advanced'' revision control system. Darcs has two
particularly distinctive features which differ from other
revision control systems: 1) each copy of the source is a
fully functional branch, and 2) underlying darcs is a
consistent and powerful theory of patches.

%package server
Summary: David's advanced revision control system Server
Group: Development/Other
Requires: webserver

%description server
Darcs is a revision control system, along the lines of CVS
or arch. That means that it keeps track of various revisions
and branches of your project, allows for changes to
propogate from one branch to another. Darcs is intended to
be an ``advanced'' revision control system. Darcs has two
particularly distinctive features which differ from other
revision control systems: 1) each copy of the source is a
fully functional branch, and 2) underlying darcs is a
consistent and powerful theory of patches.

This package contains the darcs cgi server program.

%prep
%setup -q

%build
%configure \
    --with-sendmail=%{_sbindir}/sendmail \
%if %withgit
    --enable-git \
    --with-git-includes=-I%{_includedir}/git/
%endif

%make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install installserver
# yes, it is a hack
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/www/
mv -f $RPM_BUILD_ROOT/%{_libdir}/cgi-bin $RPM_BUILD_ROOT/%{_localstatedir}/lib/www/cgi

%check
PATH="$PWD:$PATH" make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS doc/manual
%config(noreplace) %{_sysconfdir}/bash_completion.d/darcs
%{_bindir}/darcs
%{_mandir}/man1/darcs*

%files server
%defattr(-,root,root,-)
%{_localstatedir}/lib/www/cgi/*
%config(noreplace) %{_sysconfdir}/darcs
%{_datadir}/darcs





%changelog
* Thu Jan 22 2009 Jérôme Soyer <saispo@mandriva.org> 2.2.0-1mdv2009.1
+ Revision: 332449
- New upstream release

* Sun Nov 30 2008 Olivier Thauvin <nanardon@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 308359
- 2.1.2

* Mon Jul 21 2008 Olivier Thauvin <nanardon@mandriva.org> 2.0.2-1mdv2009.0
+ Revision: 239465
- 2.0.2

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 07 2008 Olivier Thauvin <nanardon@mandriva.org> 2.0.0-1mdv2009.0
+ Revision: 203119
- 2.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 10 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.9-1mdv2008.0
+ Revision: 37874
- 1.0.9


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0.8-4mdv2007.0
+ Revision: 122076
- rebuild for curl
- patch0: upstream patches to fix compil with ghc 6.6

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.8-2mdv2007.0
+ Revision: 41290
- fix buildrequires
- remove changelog from spec
- 1.0.8
- initial import

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.8-1mdv2007.0
- 1.0.8

* Mon May 15 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.7-1mdk
- 1.0.7 (yes Gaetan, I short-circuited you !)

* Fri Apr 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-2mdk
- build requires ncurses-devel to have colored output in darcs

* Wed Mar 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Fri Jan 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-4mdk
- Add buildRequires

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdk
- Add BuildRequires

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.5-2mdk
- add git support

* Wed Dec 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.5-1mdk
- New release 1.0.5

* Thu Nov 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-2mdk
- use --with-sendmail to force the mail feature even if sendmail is not
  there at build time

* Mon Nov 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4
- make test in check section

* Sat May 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.3-1mdk
- New release 1.0.3 (also fix build with ghc 6.4)
- use mkrel

* Tue Feb 22 2005 Michael Scherer <misc@mandrake.org> 1.0.2-1mdk
- Initial package, based on haskell.org spec file.

